import request from '@/utils/request'

// 查询监督检查记录列表
export function listInspection(query) {
  return request({
    url: '/supervision/inspection/list',
    method: 'get',
    params: query
  })
}

// 查询监督检查记录详细
export function getInspection(id) {
  return request({
    url: '/supervision/inspection/' + id,
    method: 'get'
  })
}

// 新增监督检查记录
export function addInspection(data) {
  return request({
    url: '/supervision/inspection',
    method: 'post',
    data: data
  })
}

// 修改监督检查记录
export function updateInspection(data) {
  return request({
    url: '/supervision/inspection',
    method: 'put',
    data: data
  })
}

// 删除监督检查记录
export function delInspection(id) {
  return request({
    url: '/supervision/inspection/' + id,
    method: 'delete'
  })
}

// 导出监督检查记录
export function exportInspection(query) {
  return request({
    url: '/supervision/inspection/export',
    method: 'get',
    params: query
  })
}
